<template>
    <div>
        <admin-home v-if="isAdmin"></admin-home>
        <user-home v-else></user-home>
    </div>
</template>

<script>
    import AdminHome from "./home/AdminHome";
    import UserHome from "./home/UserHome";
    import permission from '../../mixins/permission';

    export default {
        name: "Dashboard",
        components: {UserHome, AdminHome},
        mixins: [permission],
        data: () => ({}),
        computed: {
            isAdmin() {
                return this.is('admin');
            },
        }
    }
</script>

<style scoped>
</style>
